apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "embedded-boosts.fullname" . }}
  labels:
    {{- include "embedded-boosts.labels" . | nindent 4 }}
spec:
{{- if not .Values.embeddedBoosts.autoscaling.enabled }}
  replicas: {{ .Values.embeddedBoosts.replicaCount }}
{{- end }}
  selector:
    matchLabels:
      {{- include "embedded-boosts.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      annotations:
    {{- with .Values.embeddedBoosts.podAnnotations }}
        {{- toYaml . | nindent 8 }}
    {{- end }}
      labels:
        {{- include "embedded-boosts.selectorLabels" . | nindent 8 }}
    spec:
      {{- with .Values.embeddedBoosts.imagePullSecrets }}
      imagePullSecrets:
        {{- toYaml . | nindent 8 }}
      {{- end }}
    #   serviceAccountName: {{ include "embedded-boosts.serviceAccountName" . }}
      securityContext:
        {{- toYaml .Values.embeddedBoosts.podSecurityContext | nindent 8 }}
      containers:
        - name: embedded-boosts
          securityContext:
            {{- toYaml .Values.embeddedBoosts.securityContext | nindent 12 }}
          image: "{{ .Values.embeddedBoosts.image.repository }}:{{ .Values.embeddedBoosts.image.tag }}"
          imagePullPolicy: {{ .Values.embeddedBoosts.image.pullPolicy }}
          ports:
            - name: http
              containerPort: 80
              protocol: TCP
          livenessProbe:
            httpGet:
              path: /
              port: http
          readinessProbe:
            httpGet:
              path: /
              port: http
          resources:
            {{- toYaml .Values.embeddedBoosts.resources | nindent 12 }}
        #   volumeMounts:
        #     - name: configs
        #       mountPath: /etc/nginx/nginx.conf
        #       subPath: nginx.conf
      {{- with .Values.embeddedBoosts.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.embeddedBoosts.affinity }}
      affinity:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.embeddedBoosts.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
      {{- end }}
    #   volumes:
    #     - name: configs
    #       configMap: 
    #         name: {{ include "embedded-boosts.fullname" . }}-embeddedBoosts